package com.bzd.system.service.dtp;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 随访话术管理表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SDtpYypzVerbalTricktService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSDtpYypzVerbalTrickt(PageData pd)throws Exception {
        return daoSupport.update("SDtpYypzVerbalTricktMapper.addSDtpYypzVerbalTrickt", pd);
    }

    public List<PageData> findSDtpYypzVerbalTricktList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SDtpYypzVerbalTricktMapper.selectSDtpYypzVerbalTricktList", pd);
    }

    public Integer SDtpYypzVerbalTricktRemove(PageData pd)throws Exception {
        return daoSupport.delete("SDtpYypzVerbalTricktMapper.SDtpYypzVerbalTricktRemove", pd);
    }


    public Integer updateSDtpYypzVerbalTrickt(PageData pd)throws Exception {
        return daoSupport.update("SDtpYypzVerbalTricktMapper.updateSDtpYypzVerbalTrickt", pd);
    }

}
